ObjectPool (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.pool
Class ObjectPool<T>

    java.lang.Object
      org.maltparser.core.pool.ObjectPool<T>

Direct Known Subclasses:
  ObjectPoolList, ObjectPoolSet

    public abstract class ObjectPool<T>

extends Object

Field Summary
`protected int` | `keepThreshold`

Constructor Summary
`ObjectPool()`
`ObjectPool(int keepThreshold)`

Method Summary
`abstract void` | `checkIn(T o)`
`abstract void` | `checkInAll()`
`abstract T` | `checkOut()`
`protected abstract T` | `create()`
`int` | `getKeepThreshold()`
`abstract void` | `resetObject(T o)`
`void` | `setKeepThreshold(int keepThreshold)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keepThreshold

    protected int keepThreshold

Constructor Detail

### ObjectPool

    public ObjectPool()

### ObjectPool

    public ObjectPool(int keepThreshold)

Method Detail

### getKeepThreshold

    public int getKeepThreshold()

### setKeepThreshold

    public void setKeepThreshold(int keepThreshold)

### create

    protected abstract T create()
                         throws MaltChainedException

  Throws:
    `MaltChainedException`

### resetObject

    public abstract void resetObject(T o)
                              throws MaltChainedException

  Throws:
    `MaltChainedException`

### checkOut

    public abstract T checkOut()
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### checkIn

    public abstract void checkIn(T o)
                          throws MaltChainedException

  Throws:
    `MaltChainedException`

### checkInAll

    public abstract void checkInAll()
                             throws MaltChainedException

  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.